POST
/
v4
/
sequences
/
{id}
/
steps
Create a sequence step
curl --request POST \
  --url https://api.reply.io/v4/sequences/{id}/steps \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "type": "Email",
  "delayInMinutes": 1,
  "executionMode": "Automatic",
  "templates": [
    {
      "id": 123,
      "subject": "<string>",
      "body": "<string>",
      "templateId": 2
    }
  ],
  "parentId": 123,
  "ifConditionPositive": true
}
'
{
  "type": "Email",
  "delayInMinutes": 1,
  "executionMode": "Automatic",
  "templates": [
    {
      "id": 123,
      "subject": "<string>",
      "body": "<string>",
      "templateId": 2
    }
  ],
  "id": 123,
  "parentId": 123,
  "ifConditionPositive": true
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Path Parameters

id
integer
required

Sequence Id

Body

application/json

Email step with template configuration

type
enum<string>
required

Step type discriminator

Available options:
Email
delayInMinutes
integer
required

Delay in minutes before executing this step

Required range: x >= 0
executionMode
enum<string>
required

Execution mode for the email step

Available options:
Automatic,
Manual
templates
Email Template · object[]
required

Array of email templates/variants

parentId
integer | null

ID of the parent step (for branching)

ifConditionPositive
boolean | null

Whether this step is on the positive branch of a condition

Response

Sequence step created successfully

Email step with template configuration

type
enum<string>
required

Step type discriminator

Available options:
Email
delayInMinutes
integer
required

Delay in minutes before executing this step

Required range: x >= 0
executionMode
enum<string>
required

Execution mode for the email step

Available options:
Automatic,
Manual
templates
Email Template · object[]
required

Array of email templates/variants

id
integer | null

Unique identifier for the step

parentId
integer | null

ID of the parent step (for branching)

ifConditionPositive
boolean | null

Whether this step is on the positive branch of a condition